X
Πατήστε εδώ για μετάβαση στην έκδοση της ιστοσελίδας για κινητές συσκευές.

Φόρουμ υποστήριξης

I disabled autoupdate but it UPDATES however! How to disable it?

Δημοσιεύτηκε

I use the version 34 and I don't want to update it becase the plugins don't work correct with newer versions. I disabled automatic check for updates in preferences, but firefox updates sometimes! It makes me very angry, I'm tired of restoring my backups. What shall I do to forbid auto update FOREVER! I will be able to update the program if I need!

I use the version 34 and I don't want to update it becase the plugins don't work correct with newer versions. I disabled automatic check for updates in preferences, but firefox updates sometimes! It makes me very angry, I'm tired of restoring my backups. What shall I do to forbid auto update FOREVER! I will be able to update the program if I need!

Επιλεγμένη λύση

The Mozilla Maintenance Service might be updating Firefox for you. Disabling updates in Firefox doesn't stop that "service" from doing updates. https://support.mozilla.org/en-US/kb/what-mozilla-maintenance-service

Ανάγνωση απάντησης σε πλαίσιο 1

Επιπρόσθετες λεπτομέρειες συστήματος

Εγκατεστημένα αρθρώματα

  • Google Update
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Next Generation Java Plug-in 10.45.2 for Mozilla browsers
  • Office Authorization plug-in for NPAPI browsers
  • The plug-in allows you to open and edit files using Microsoft Office applications
  • np-mswmp
  • Shockwave Flash 20.0 r0

Εφαρμογή

  • Πλατφόρμα χρήστη: Mozilla/5.0 (Windows NT 6.1; rv:34.0) Gecko/20100101 Firefox/34.0

Περισσότερες πληροφορίες

alex_mayorga
  • Moderator
383 λύσεις 2966 απαντήσεις
Δημοσιεύτηκε

¡Hola Oleg!

Staying in an old known vulnerable version of Firefox is a terrible idea as it exposes you to all these https://www.mozilla.org/en-US/security/known-vulnerabilities/firefox/

Please go to https://www.mozilla.org/plugincheck and verify your plug-ins are up to date.

Could you please tell us exactly which "plugins don't work correct with newer versions"?

¡Gracias!

¡Hola Oleg! Staying in an old known vulnerable version of Firefox is a terrible idea as it exposes you to all these https://www.mozilla.org/en-US/security/known-vulnerabilities/firefox/ Please go to https://www.mozilla.org/plugincheck and verify your plug-ins are up to date. Could you please tell us exactly which "plugins don't work correct with newer versions"? ¡Gracias!
FredMcD
  • Top 10 Contributor
4398 λύσεις 61692 απαντήσεις
Δημοσιεύτηκε

Plugins are from other programs on your computer. You would have to go into their settings and disable auto updates.

Not Recomended ! !

Plugins are from other programs on your computer. You would have to go into their settings and disable auto updates. Not Recomended ! !
James
  • Moderator
1603 λύσεις 11349 απαντήσεις
Δημοσιεύτηκε

By Plugins, you really meant Extensions I take it as Plugins is not normally Firefox version specific and Plugins refers to say Flash, Java, Shockwave etc.

Have you checked to see if the author has provide updates for the Extensions? It is not Firefox that is made compatible with Extensions but the other way.

Also if you do not want to use Firefox 42.0 Release then at least consider using the Firefox 38 ESR version. It only gets allowed stability and security fixes and not new features. The next version ESR will be based on will be Firefox 45.0 so the 38 ESR will be supported up till a update or two after Fx 45.0 Release.

The current version is Firefox 38.4.0 ESR as it came out when Firefox 42.0 was released. https://www.mozilla.org/firefox/organizations/all/

Compared to using the old vulnerable Firefox 34.0 Release the 38.4.0 ESR will be much more secure.

By Plugins, you really meant Extensions I take it as Plugins is not normally Firefox version specific and Plugins refers to say Flash, Java, Shockwave etc. Have you checked to see if the author has provide updates for the Extensions? It is not Firefox that is made compatible with Extensions but the other way. Also if you do not want to use Firefox 42.0 Release then at least consider using the Firefox 38 ESR version. It only gets allowed stability and security fixes and not new features. The next version ESR will be based on will be Firefox 45.0 so the 38 ESR will be supported up till a update or two after Fx 45.0 Release. The current version is Firefox 38.4.0 ESR as it came out when Firefox 42.0 was released. https://www.mozilla.org/firefox/organizations/all/ Compared to using the old vulnerable Firefox 34.0 Release the 38.4.0 ESR will be much more secure.
Δημοσιεύτηκε

Χρήσιμη απάντηση

Yes, I meant extensions, you are right. But it doesn't matter. It's my choice what extensions and what version of firefox to use. I'm very tired of bad suprises afer updates and I'd like to use the version that works good enough. I have already gone into firefox settings and disabled auto updates, but the program updated nevetheless! Why this option doesn't work properly?!

Yes, I meant extensions, you are right. But it doesn't matter. It's my choice what extensions and what version of firefox to use. I'm very tired of bad suprises afer updates and I'd like to use the version that works good enough. I have already gone into firefox settings and disabled auto updates, but the program updated nevetheless! Why this option doesn't work properly?!

Τροποποιήθηκε στις από το χρήστη Oleg_123

the-edmeister
  • Top 25 Contributor
  • Moderator
5433 λύσεις 40564 απαντήσεις
Δημοσιεύτηκε

Επιλεγμένη λύση

The Mozilla Maintenance Service might be updating Firefox for you. Disabling updates in Firefox doesn't stop that "service" from doing updates. https://support.mozilla.org/en-US/kb/what-mozilla-maintenance-service

The Mozilla Maintenance Service might be updating Firefox for you. Disabling updates in Firefox doesn't stop that "service" from doing updates. https://support.mozilla.org/en-US/kb/what-mozilla-maintenance-service
Δημοσιεύτηκε

Ιδιοκτήτης ερώτησης

Thank you, I hope it will help!

Thank you, I hope it will help!
awdrifter 0 λύσεις 2 απαντήσεις
Δημοσιεύτηκε

Χρήσιμη απάντηση

My FIrefox 42 just automatically updated to 43. I use unsigned add-ons so I don't want my Firefox to update past 42. How do I prevent it from updating? What's Firefox's update URL (so I can block it in the host file)? Thanks in advance.

My FIrefox 42 just automatically updated to 43. I use unsigned add-ons so I don't want my Firefox to update past 42. How do I prevent it from updating? What's Firefox's update URL (so I can block it in the host file)? Thanks in advance.
FredMcD
  • Top 10 Contributor
4398 λύσεις 61692 απαντήσεις
Δημοσιεύτηκε

Press the Alt or F10 key to bring up the tool bar. Then Help > About Firefox will tell you what version have and check for updates.


https://support.mozilla.org/en-US/kb/how-to-fix-preferences-wont-save

Note: Some software, like Advanced SystemCare with Surfing Protection, can protect files in the Firefox profile folder against changes. If you have such software then check the settings or uninstall this software.

Press the '''Alt''' or '''F10''' key to bring up the tool bar. Then '''Help > About Firefox''' will tell you what version have and check for updates. ------------ '''https://support.mozilla.org/en-US/kb/how-to-fix-preferences-wont-save''' Note: Some software, like Advanced SystemCare with Surfing Protection, can protect files in the Firefox profile folder against changes. If you have such software then check the settings or uninstall this software.